> For the complete documentation index, see [llms.txt](https://docs.convai.com/api-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.convai.com/api-docs/plugins-and-integrations/unreal-engine/blueprints-reference.md).

# Blueprints Reference

- [Convai Player](https://docs.convai.com/api-docs/plugins-and-integrations/unreal-engine/blueprints-reference/convai-player.md): Actor component for the player
- [Convai Chatbot](https://docs.convai.com/api-docs/plugins-and-integrations/unreal-engine/blueprints-reference/convai-chatbot.md): Actor component for the AI character
- [Convai Environment](https://docs.convai.com/api-docs/plugins-and-integrations/unreal-engine/blueprints-reference/convai-environment.md): The Convai Environment class is used to define what actions are available for the character and what are the objects and other characters in the scene.
- [Convai Object Entry](https://docs.convai.com/api-docs/plugins-and-integrations/unreal-engine/blueprints-reference/convai-object-entry.md): The ConvaiObjectEntry structure parses information about a character or an object in the scene, which is then included in the Environment object.
- [Convai Result Action](https://docs.convai.com/api-docs/plugins-and-integrations/unreal-engine/blueprints-reference/convai-result-action.md): Convai Result Action - Blueprint Reference for Unreal Engine integration.
- [Convai Extra Params](https://docs.convai.com/api-docs/plugins-and-integrations/unreal-engine/blueprints-reference/convai-extra-params.md): Convai Extra Params - Blueprint Reference for Unreal Engine integration.
- [Speech To Text](https://docs.convai.com/api-docs/plugins-and-integrations/unreal-engine/blueprints-reference/speech-to-text.md): Speech-to-Text - Blueprint Reference for Convai Unreal Engine integration.
- [Text To Speech](https://docs.convai.com/api-docs/plugins-and-integrations/unreal-engine/blueprints-reference/text-to-speech.md)
- [Utility Functions](https://docs.convai.com/api-docs/plugins-and-integrations/unreal-engine/blueprints-reference/utility-functions.md): Utility Functions - Blueprint Reference for Convai Unreal Engine integration.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.convai.com/api-docs/plugins-and-integrations/unreal-engine/blueprints-reference.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
